%Plot
clear

load('JanFeb2016')
load('MarsApril')
load('MaiJuni')
load('JuliAug')
load('SeptOct')
load('NovDes')
load('JanFeb')
window=50;

L=length(dt12g);
Ql12g=qo12g+qw12g;
ex12g=tsmovavg(Ql12g,'e',window,1);

figure(1)
plot(dt12g,Ql12g,'k',dt12g,ex12g,'r')
%plot(dt12,Ql12,'k',dt12,exp12,'y',dt12,y112,'--b',dt12,y212,'--m',dt12,y312,'--m');
axis([dt12g(1) dt12g(L) 0 5000]);
title('Graph of the Production in January and February 2016');
legend('Liquid rate','Moving mean');
xlabel('Time, t [hrs]');
ylabel('Rate, Ql [Sm3/day]');

L=length(dt34);
Ql34=qo34+qw34;
ex34=tsmovavg(Ql34,'e',window,1);

figure(2)
plot(dt34,Ql34,'k',dt34,ex34,'r')
%plot(dt12,Ql12,'k',dt12,exp12,'y',dt12,y112,'--b',dt12,y212,'--m',dt12,y312,'--m');
axis([dt34(1) dt34(L) 0 5000]);
title('Graph of the Production in March and April 2016');
legend('Liquid rate','Moving mean');
xlabel('Time, t [hrs]');
ylabel('Rate, Ql [Sm3/day]');

L=length(dt56);
Ql56=qo56+qw56;
ex56=tsmovavg(Ql56,'e',window,1);

figure(3)
plot(dt56,Ql56,'k',dt56,ex56,'r')
%plot(dt12,Ql12,'k',dt12,exp12,'y',dt12,y112,'--b',dt12,y212,'--m',dt12,y312,'--m');
axis([dt56(1) dt56(L) 0 5000]);
title('Graph of the Production in May and June 2016');
legend('Liquid rate','Moving mean');
xlabel('Time, t [hrs]');
ylabel('Rate, Ql [Sm3/day]');

L=length(dt78);
Ql78=qo78+qw78;
ex78=tsmovavg(Ql78,'e',window,1);

figure(4)
plot(dt78,Ql78,'k',dt78,ex78,'r')
%plot(dt12,Ql12,'k',dt12,exp12,'y',dt12,y112,'--b',dt12,y212,'--m',dt12,y312,'--m');
axis([dt78(1) dt78(L) 0 5000]);
title('Graph of the Production in July and August 2016');
legend('Liquid rate','Moving mean');
xlabel('Time, t [hrs]');
ylabel('Rate, Ql [Sm3/day]');

L=length(dt910);
Ql910=qo910+qw910;
ex910=tsmovavg(Ql910,'e',window,1);

figure(5)
plot(dt910,Ql910,'k',dt910,ex910,'r')
%plot(dt12,Ql12,'k',dt12,exp12,'y',dt12,y112,'--b',dt12,y212,'--m',dt12,y312,'--m');
axis([dt910(1) dt910(L) 0 5000]);
title('Graph of the Production in September and October 2016');
legend('Liquid rate','Moving mean');
xlabel('Time, t [hrs]');
ylabel('Rate, Ql [Sm3/day]');

L=length(dt1112);
Ql1112=qo1112+qw1112;
ex1112=tsmovavg(Ql1112,'e',window,1);

figure(6)
plot(dt1112,Ql1112,'k',dt1112,ex1112,'r')
%plot(dt12,Ql12,'k',dt12,exp12,'y',dt12,y112,'--b',dt12,y212,'--m',dt12,y312,'--m');
axis([dt1112(1) dt1112(L) 0 5000]);
title('Graph of the Production in November and December 2016');
legend('Liquid rate','Moving mean');
xlabel('Time, t [hrs]');
ylabel('Rate, Ql [Sm3/day]');


L=length(dt12);
Ql12=qo12+qw12;
% snitt12=mean(Ql12);
% y112=snitt12*ones(1,L);
% sumuN=0;
% for k=1:L
%     var=(Ql12(k)-snitt12)^2;
%     sumuN=sumuN+var;
% end
% sumuN;
% sigma12=sqrt(sumuN/L);
% y212=(snitt12-sigma12)*ones(1,L);
% y312=(snitt12+sigma12)*ones(1,L);
window=50;
ex12=tsmovavg(Ql12,'e',window,1);

figure(7)
plot(dt12,Ql12,'k',dt12,ex12,'r')
%plot(dt12,Ql12,'k',dt12,exp12,'y',dt12,y112,'--b',dt12,y212,'--m',dt12,y312,'--m');
axis([dt12(1) dt12(L) 0 5000]);
title('Graph of the Production in January and February 2017');
legend('Liquid rate','Moving mean');
xlabel('Time, t [hrs]');
ylabel('Rate, Ql [Sm3/day]');

% dtalle=[dt12g' dt34' dt56' dt78' dt910' dt1112' dt12']';
% Qlalle=[Ql12g' Ql34' Ql56' Ql78' Ql910' Ql1112' Ql12']';
% qgialle=[qgi12g' qgi34' qgi56' qgi78' qgi910' qgi1112' qgi12']';
% pwalle=[pw12g' pw34' pw56' pw78' pw910' pw1112' pw12']';
% y1alle=[y112g y134 y156 y178 y1910 y1uN y112]';
% y2alle=[y212g y234 y256 y278 y2910 y2uN y212]';
% y3alle=[y312g y334 y356 y378 y3910 y3uN y312]';

% for j=1:7
%     figure(j)
%     plot(dtalle(j),Qlalle(j),'k', dtalle(j),qgialle(j),'b', ...
%         dtalle(j),pwalle(j).*10,'r', dtalle(j),y1alle(j),'--b',...
%         dtalle(j),y2alle(j),'--m',dtalle(j),y3alle(j),'--m');
%     axis([0 length(dtalle(j)) 0 5000]);
%     legend('Qo [Sm3/day]','Qgi [Sm3/hr]', 'Pw [bara]');
%     xlabel('Time, t [hrs]');
%     ylabel('Rate, Pressure');
% end

% Qlsnitt=mean(Qlalle); %Ql snitt
% Qosnitt=(mean(qo12g)+mean(qo34)+mean(qo56)+mean(qo78)+mean(qo910)+mean(qo1112)+mean(qo12))/7;
% Qwsnitt=(mean(qw12g)+mean(qw34)+mean(qw56)+mean(qw78)+mean(qw910)+mean(qw1112)+mean(qw12))/7;
% Qgisnitt=(mean(qgi12g)+mean(qgi34)+mean(qgi56)+mean(qgi78)+mean(qgi910)+mean(qgi1112)+mean(qgi12))*24/7;
% Qgsnitt=(mean(qgp12g)+mean(qgp34)+mean(qgp56)+mean(qgp78)+mean(qgp910)+mean(qgp1112)+mean(qgp12))/7-Qgisnitt;
% Pwsnitt=mean(pwalle);
% sigmasnitt=(sigma12g+sigma34+sigma56+sigma78+sigma910+sigmauN+sigma12)/7;
% WOR=Qwsnitt/Qosnitt;
% GORtot=(Qgsnitt+Qgisnitt)/Qosnitt;
% GORres=Qgsnitt/Qosnitt;
